---
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

# `glab securefile download`

Download a secure file for a project.

```plaintext
glab securefile download <fileID> [flags]
```

## Examples

```console
Download a project's secure file using the file's ID.
- glab securefile download 1

Download a project's secure file using the file's ID to a given path.
- glab securefile download 1 --path="securefiles/file.txt"

```

## Options

```plaintext
  -p, --path string   Path to download the secure file to, including filename and extension. (default "./downloaded.tmp")
```

## Options inherited from parent commands

```plaintext
  -h, --help              Show help for this command.
  -R, --repo OWNER/REPO   Select another repository. Can use either OWNER/REPO or `GROUP/NAMESPACE/REPO` format. Also accepts full URL or Git URL.
```
